%define src_ver 1.4pre13
%define languagelocal dansk
%define languageeng danish
%define languageenglazy Danish
%define languagecode da
%define lc_ctype da_DK
%define isonumber iso8859-1

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       1.3.9
Release:       1mdk
Group:         System/Internationalization
Source:        http://www.sslug.dk/locale/aspell/filer/%{name}-%{src_ver}.tar.bz2
URL:           http://www.sslug.dk/locale/dsdo/
Copyright:     GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

BuildRequires: aspell
Requires:      aspell

# Mandrake Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary

# RedHat Stuff.
#Obsoletes: ispell-dk, ispell-danish, aspell-dk

ExcludeArch:   ia64
Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -n %{name}-%{src_ver}

%build
cp %{_datadir}/aspell/%{isonumber}.dat .

./unsq <  words-%{languagecode}.sq |grep -v -E "(\`|\#)" > words.%{languagelocal}

LC_CTYPE=%{lc_ctype} aspell --lang=%{languagelocal} --data-dir=. \
    create master ./%{languagelocal} < words.%{languagelocal}

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/aspell
mkdir -p $RPM_BUILD_ROOT%{_datadir}/aspell
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pspell

install -m 0644 %{languagelocal} $RPM_BUILD_ROOT%{_libdir}/aspell
install -m 0644 %{languagelocal}.dat $RPM_BUILD_ROOT%{_datadir}/aspell

if ls %{languagelocal}_phonet.dat ; then
 install -m 0644 %{languagelocal}_phonet.dat $RPM_BUILD_ROOT/usr/share/aspell
fi

echo "%{_libdir}/aspell/%{languagelocal}" > $RPM_BUILD_ROOT%{_datadir}/pspell/%{languagecode}-aspell.pwli

if [ "%{languagelocal}" != "%{languageeng}" ];then

 cd $RPM_BUILD_ROOT%{_libdir}/aspell
 ln -s %{languagelocal} %{languageeng}
 
 cd $RPM_BUILD_ROOT%{_datadir}/aspell
 ln -s %{languagelocal}.dat %{languageeng}.dat
 
 if ls %{languagelocal}_phonet.dat ; then
  ln -s %{languagelocal}_phonet.dat %{languageeng}_phonet.dat
 fi

fi

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING contributors README
%{_datadir}/aspell/*
%{_libdir}/aspell/*
%{_datadir}/pspell/*

%changelog
* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 1.3.9-1mdk
- Cleaned up the spec and moved to standard template.
- First version for Mandrake - copied from RedHat spec.
- Macroszification.
- Upgraded to aspell-1.4pre13

* Tue Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com> 0.2-1
- upgraded to dsdo[1]-1.4pre9 
  ([1] "The great Danish dictionary")

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com> 0.1-4
- automatic rebuild

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com> 0.1-3
- use "da", the ISO 639 name
- use the proper name on the pwli file

* Sat Jun 24 2000 Trond Eivind Glomsrd <teg@redhat.com> 0.1-2
- updated dictionary
- include .pwli file

* Sat Jun 17 2000 Trond Eivind Glomsrd <teg@redhat.com> 0.1-1
- first RPM
